libcamera v0.5.1 Supporting cameras in Linux since 2019 |

Loading...
Searching...
No Matches
Classes | Static Public Member Functions | Public Attributes | List of all members
libcamera::CameraSensorProperties Struct Reference

Database of camera sensor properties. More...

Collaboration diagram for libcamera::CameraSensorProperties:
[legend]

## Classes
struct | SensorDelays
| Sensor control application delay values. More...

## Static Public Member Functions
static const CameraSensorProperties * | get (const std::string &sensor)
| Retrieve the properties associated with a sensor.

## Public Attributes
Size | unitCellSize
| The physical size of a pixel, including pixel edges, in nanometers.
std::map< controls::draft::TestPatternModeEnum, int32_t > | testPatternModes
| Map that associates the TestPattern control value with the indexes of the corresponding sensor test pattern modes as returned by V4L2_CID_TEST_PATTERN.
SensorDelays | sensorDelays
| Sensor control application delays.

## Detailed Description

Database of camera sensor properties.

## Member Function Documentation

## ◆ get()

const CameraSensorProperties * libcamera::CameraSensorProperties::get | ( | const std::string & | sensor | ) |
| static

Retrieve the properties associated with a sensor.

Parameters

  sensor | The sensor model name as reported by properties::Model

Returns
  A pointer to the CameraSensorProperties instance associated with a sensor or nullptr if the sensor is not supported

## Member Data Documentation

## ◆ sensorDelays

SensorDelays libcamera::CameraSensorProperties::sensorDelays

Sensor control application delays.

This structure may be defined as empty if the actual sensor delays are not available or have not been measured.

The documentation for this struct was generated from the following files:

- include/libcamera/internal/camera_sensor_properties.h
- src/libcamera/sensor/camera_sensor_properties.cpp